body{
    height: 1000px;
    background-color: white;
}
div {
    background-color: black;
    color: white;
    height: 200px;
    width: 200px;
}
.div1 {
    float: left;
    margin-left: -20px;
}
.div2 {
    clear: left;
    margin: auto;
}
.div3 {
    float: right;
    margin-right: -20px;
}